Bug 244025 - date line gets painted incorrectly
Summary: date line gets painted incorrectly
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: some future version
Assignee: Thibaut Gridel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-09 12:24 UTC by Bastian Senst
Modified: 2014-01-03 19:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
A screenshot which shows how the date line is painted now. (57.90 KB, image/png)
2010-07-09 12:25 UTC, Bastian Senst
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bastian Senst 2010-07-09 12:24:06 UTC
Version:           unspecified (using Devel) 
OS:                Linux

The date line gets painted incorrectly in plain and mercator projection.

Reproducible: Always
Comment 1 Bastian Senst 2010-07-09 12:25:24 UTC
Created attachment 48712 [details]
A screenshot which shows how the date line is painted now.
Comment 2 Thibaut Gridel 2014-01-03 19:37:06 UTC
Git commit 51e4ce5588e9d3bd59c1c8c707aa22086a25823f by Thibaut Gridel.
Committed on 03/01/2014 at 19:32.
Pushed by tgridel into branch 'master'.

VectorComposer deprecation

The following patches remove the legacy drawing code used by so-called
vector map themes, which use data sets as their base for display.
Now, all rendering is done with the unified geodata framework.

REVIEW: 110005
Related: bug 307788

M  +17   -17   data/maps/earth/plain/plain.dgml
M  +39   -35   data/maps/earth/srtm/srtm.dgml
M  +1    -1    data/maps/earth/temp-july/temp-july.dgml

http://commits.kde.org/marble/51e4ce5588e9d3bd59c1c8c707aa22086a25823f